### Method

# Snapd MarkdownNode get_text

since: 1.48

#### Declaration [src]

    const gchar*
    snapd_markdown_node_get_text (
      SnapdMarkdownNode* node
    )

#### Description [src]

Gets the text associated with this node. This is only present for nodes of type `SNAPD_MARKDOWN_NODE_TYPE_TEXT`.

Available since: 1.48

Gets property | `Snapd.MarkdownNode:text`

#### Return value

Type: `const gchar*`

A UTF-8 string or `NULL` if none in this node.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.